import 'package:flutter/material.dart';
import 'package:common_module/utils/xapp_utils.dart';
import 'package:life_module/utils/activity_config_tap_utils.dart';

class FooterExplain extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SliverToBoxAdapter(
        child: SafeArea(
      top: false,
      child: Container(
        child: Column(
          children: [
            InkWell(
              onTap: () {
                Map<String, dynamic> map = {'redirect_type': '11'};
                AppTapConfigUtils.getInstance()!.activityConfigTap(map);
              },
              child: Container(
                padding: EdgeInsets.only(top: 12.rpx, bottom: 4.rpx),
                child: Text.rich(
                  TextSpan(text: "小熊有好货仅为您提供优惠渠道或", children: [
                    TextSpan(
                        text: "疑问解答",
                        style: TextStyle(color: rgba(255, 128, 0, 1))),
                  ]),
                  style: TextStyle(
                      color: rgba(102, 102, 102, 1), fontSize: 11.rpx),
                ),
              ),
            ),
            Container(
              padding: EdgeInsets.only(bottom: 8.rpx),
              child: Text(
                "若发生退款或维权等有损自身利益情况请联系美团工作人员进行处理",
                style:
                    TextStyle(color: rgba(102, 102, 102, 1), fontSize: 11.rpx),
              ),
            )
          ],
        ),
      ),
    ));
  }
}
