import 'package:mvp/mvp.dart';
import 'package:life_repository/life_repository.dart';

class OuterInfoModel extends BaseModel {
  final String? _shopId;
  final String? _firstCateId;
  ShopOuterInfoEntity? _outerInfoEntity;
  OuterInfoModel(this._shopId, this._firstCateId);

  Future<void> findShopOuterInfo() async {
    _outerInfoEntity =
        await ShopInfoRepository.get().findShopOuterInfo(_shopId!, _firstCateId!);
    notifyListeners();
  }

  ShopOuterInfoEntity? getShopOuterInfoEntity() {
    return _outerInfoEntity;
  }
}
