import 'package:flutter/material.dart';

class LifeImage extends StatelessWidget {
  final String? name;
  final double? width;
  final double? height;
  final Color? color;
  final BoxFit? fit;
  LifeImage({
    Key? key,
    this.name,
    this.width,
    this.height,
    this.color,
    this.fit,
  });
  @override
  Widget build(BuildContext context) {
    return Image.asset(
      name!,
      key: key,
      width: width,
      height: height,
      color: color,
      fit: fit,
      package: "life_module",
    );
  }
}
