import 'package:flutter/material.dart';
import 'package:common_module/utils/xapp_utils.dart';

/// 券和团icon
class TypeIcon extends StatelessWidget {
  final int type;
  TypeIcon({this.type = 1});
  @override
  Widget build(BuildContext context) {
    String text = type == 1 ? '团' : '券';
    List<Color> colors = type == 1
        ? [rgba(255, 125, 0, 1), rgba(250, 18, 14, 1)]
        : [rgba(255, 201, 0, 1), rgba(255, 143, 0, 1)];
    return Container(
      height: 16.rpx,
      width: 16.rpx,
      alignment: Alignment.center,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(4.rpx),
          gradient: LinearGradient(
              begin: Alignment.topCenter,
              end: Alignment.bottomCenter,
              colors: colors)),
      child: Text(
        text,
        style: TextStyle(color: Colors.white, fontSize: 11.rpx, height: 1.rpx),
      ),
    );
  }
}
