import 'package:flutter/foundation.dart';

const String LIFE_LOCATION_PAGE = "life_location_page"; // 生活定位选择地址
const String LIFE_SHOP_PAGE = "l_ife_shop_page"; // 生活店铺

///
/// 路由路径枚举管理
///
enum RouteCityPath {
  //LOCATION_PAGE, //定位页面
  LOCATION_CITY_PAGE, //定位中城市选择页面
  LIFE_SEARCH_PAGE, // 搜索页面
  LIFE_SEC_KILL_PAGE // 秒杀
}

///
/// 路由管理的扩展
///
extension RoutePathExt on RouteCityPath {
  String get name => describeEnum(this);
  String path() {
    return name.replaceAll("_", "/");
  }
}
