import 'package:azlistview/azlistview.dart';

class SearchCityInfo {
  List<CityModel>? citys;
  bool? isSearch = false;
  String keywords;
  SearchCityInfo({
    this.citys,
    this.isSearch,
    this.keywords = '',
  });
}

///
/// type = 0 当前城市
/// type = 1 热门城市
///
class CityModel extends ISuspensionBean {
  String? name;
  String? tagIndex;
  String? namePinyin;
  int type = -1;
  List<String?>? citys;

  CityModel({
    required this.name,
    this.tagIndex,
    this.namePinyin,
    this.type = -1,
    this.citys,
  });

  CityModel.fromJson(Map<String, dynamic> json)
      : name = json['name'],
        namePinyin = json['pinyin'];

  @override
  String getSuspensionTag() => tagIndex!;
}
