import 'package:mvp/mvp.dart';
import 'package:life_repository/life_repository.dart';

class SecKillModel extends BaseModel {
  bool _show = false;
  List<SeckillSession> _seckillSessionList = [];
  List<SecKillGoods> _secKillGoodsList = [];

  bool isShow() {
    return _show;
  }

  List<SeckillSession> getSeckillSessionList() {
    // 测试用
    // if (_seckillSessionList.length > 0) {
    //   var now = DateTime.now();
    //   now = now.add(Duration(seconds: 10));
    //   var s = now.second < 10 ? '0${now.second}' : now.second;
    //   var i = now.minute < 10 ? '0${now.minute}' : now.minute;
    //   now = now.add(Duration(seconds: 10));
    //   var s1 = now.second < 10 ? '0${now.second}' : now.second;
    //   var i1 = now.minute < 10 ? '0${now.minute}' : now.minute;

    //   _seckillSessionList[0].text = "${now.hour}:$i:$s-${now.hour}:$i1:$s1";

    //   now = now.add(Duration(seconds: 20));
    //   s1 = now.second < 10 ? '0${now.second}' : now.second;
    //   i1 = now.minute < 10 ? '0${now.minute}' : now.minute;
    //   now = now.add(Duration(seconds: 20));
    //   var s2 = now.second < 10 ? '0${now.second}' : now.second;
    //   var i2 = now.minute < 10 ? '0${now.minute}' : now.minute;
    //   _seckillSessionList[1].text = "${now.hour}:$i1:$s1-${now.hour}:$i2:$s2";

    //   now = now.add(Duration(seconds: 15));
    //   s2 = now.second < 10 ? '0${now.second}' : now.second;
    //   i2 = now.minute < 10 ? '0${now.minute}' : now.minute;
    //   now = now.add(Duration(seconds: 15));
    //   var s3 = now.second < 10 ? '0${now.second}' : now.second;
    //   var i3 = now.minute < 10 ? '0${now.minute}' : now.minute;
    //   _seckillSessionList[2].text = "${now.hour}:$i2:$s2-${now.hour}:$i3:$s3";
    // }
    return _seckillSessionList;
  }

  List<SecKillGoods> getSecKillGoodsList() {
    return _secKillGoodsList;
  }

  Future<void> findDisplay(String cityId) async {
    _show = await SecKillRepository.get().findSeckillSwitch();
    if (_show) {
      findSeckillSession(cityId);
    }
  }

  Future<void> findSeckillSession(String cityId) async {
    _seckillSessionList =
        await SecKillRepository.get().findSeckillSession(cityId, '1');
    notifyListeners();
  }

  Future<void> loadSecKillGoodsByShowId(
      String cityId, String showId, String lat, String lng) async {
    // if (_secKillGoodsList.length > 0) {
    //   _secKillGoodsList.clear();
    //   notifyListeners();
    // }
    _secKillGoodsList = await SecKillRepository.get()
        .findSeckillGoodsList(cityId, showId, lat, lng, 1);
    notifyListeners();
  }
}
