import 'package:mvp/mvp.dart';
import 'package:life_repository/life_repository.dart';

class SecKillModel extends BaseListModel<SecKillGoods> {
  String? _cityId;
  String? _showId;
  String? _lat;
  String? _lng;

  SecKillModel(this._cityId, this._showId, this._lat, this._lng);

  @override
  Future<List<SecKillGoods>> request() async {
    viewState = ViewState.busy;
    var res = await SecKillRepository.get()
        .findSeckillGoodsList(_cityId!, _showId!, _lat!, _lng!, getPage());
    viewState = ViewState.idle;
    return res;
  }

  void setShowId(String? id) {
    _showId = id;
  }

  String? getShowId() {
    return _showId;
  }

  void setCityId(String? cityId) {
    _cityId = cityId;
  }

  void setLat(String? lat) {
    _lat = lat;
  }

  void setLng(String? lng) {
    _lng = lng;
  }

  void setLocaltionInfo(String cityId, String lat, String lng) {
    _cityId = cityId;
    _lat = lat;
    _lng = lng;
  }
}
