import 'package:flutter/material.dart';
import 'package:common_module/utils/xapp_utils.dart';
import 'package:life_module/components/life_image.dart';

class AllAppraise extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SliverToBoxAdapter(
        child: Container(
      height: 40.rpx,
      decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.vertical(bottom: Radius.circular(8.rpx))),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: [
          Text(
            "查看全部评价",
            style: TextStyle(
                color: rgba(102, 102, 102, 1), fontSize: 12.rpx, height: 1.rpx),
          ),
          LifeImage(
            name: "assets/images/life/ic_miaosha_arrow_right.png",
            width: 10.rpx,
            height: 20.rpx,
          ),
          SizedBox(
            width: 13.rpx,
          )
        ],
      ),
    ));
  }
}
