import 'package:flutter/material.dart';
import 'package:common_module/utils/xapp_utils.dart';

class ItemBar extends StatelessWidget {
  final GlobalKey globalKey;
  final String text;
  ItemBar(this.globalKey, this.text);
  @override
  Widget build(BuildContext context) {
    return SliverToBoxAdapter(
        child: Container(
      key: globalKey,
      height: 34.rpx,
      padding: EdgeInsets.only(top: 12.rpx, left: 12.rpx),
      decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.vertical(top: Radius.circular(8.rpx))),
      child: Text(
        text,
        style: TextStyle(
            color: rgba(48, 38, 0, 1),
            fontSize: 15.rpx,
            fontWeight: FontWeight.bold),
      ),
    ));
  }
}
